UpdateSNSPluginPlatform
UpdateSNSPluginPlatform
PUT
/zstack/v1/sns/application-platforms/plugin/{uuid}/actionsOperation ID
UpdateSNSPluginPlatformSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe platform UUID.
Body Fields
nameStringOptional. The platform name.
descriptionStringOptional. The platform description.
propertiesMapOptional. The existing configuration is retained if omitted. When provided, all declared fields are revalidated. Omitted non-sensitive fields use their default values or are deleted, and required fields must still be provided. Omitted sensitive fields retain their existing encrypted values.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
